> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/developer-docs/rest-api/api-reference/deployment-pipelines.md).

# Deployment Pipelines

## GET /deployment-pipelines

> Get deployment pipelines

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Deployment Pipelines"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"DeploymentPipeline":{"type":"object","required":["name","integrationType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"integrationType":{"type":"string"},"integrationKey":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"createdAt":{"type":"string","format":"date-time","readOnly":true},"updatedAt":{"type":"string","format":"date-time","readOnly":true},"params":{"$ref":"#/components/schemas/DeploymentPipelineParams"},"integrationUrl":{"type":"string"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"catalogue":{"$ref":"#/components/schemas/Integration","description":"This is an include field, it is not available in the list resource"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"DeploymentPipelineParams":{"type":"object","description":"Dynamic params based on the chosen integration type of the pipeline","default":"null","oneOf":[{"$ref":"#/components/schemas/DPipeAPIParams"},{"$ref":"#/components/schemas/DPipeGithubParams"}]},"DPipeAPIParams":{"type":"object","description":"Deployment pipeline API integration params","default":null,"properties":{}},"DPipeGithubParams":{"type":"object","description":"Deployment pipeline Github integration params","properties":{"branchFilters":{"type":"array","items":{"type":"string"}},"eventFilters":{"type":"array","items":{"type":"string"}}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"Integration":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["INBOUND","NATIVE","OUTBOUND"]},"iconUrl":{"type":"string"},"documentationUrl":{"type":"string"},"integrationPath":{"type":"string"}}}}},"paths":{"/deployment-pipelines":{"get":{"tags":["Deployment Pipelines"],"summary":"Get deployment pipelines","parameters":[{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of deployment pipelines","schema":{"maximum":100,"type":"integer","format":"int32","default":50}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (catalogue, integrationUrl)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["catalogue","integrationUrl"]}}}],"responses":{"200":{"description":"The deployment pipelines","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeploymentPipeline"}}}}}}}}}}
```

## POST /deployment-pipelines

> Create a new deployment pipeline.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Deployment Pipelines"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"DeploymentPipeline":{"type":"object","required":["name","integrationType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"integrationType":{"type":"string"},"integrationKey":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"createdAt":{"type":"string","format":"date-time","readOnly":true},"updatedAt":{"type":"string","format":"date-time","readOnly":true},"params":{"$ref":"#/components/schemas/DeploymentPipelineParams"},"integrationUrl":{"type":"string"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"catalogue":{"$ref":"#/components/schemas/Integration","description":"This is an include field, it is not available in the list resource"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"DeploymentPipelineParams":{"type":"object","description":"Dynamic params based on the chosen integration type of the pipeline","default":"null","oneOf":[{"$ref":"#/components/schemas/DPipeAPIParams"},{"$ref":"#/components/schemas/DPipeGithubParams"}]},"DPipeAPIParams":{"type":"object","description":"Deployment pipeline API integration params","default":null,"properties":{}},"DPipeGithubParams":{"type":"object","description":"Deployment pipeline Github integration params","properties":{"branchFilters":{"type":"array","items":{"type":"string"}},"eventFilters":{"type":"array","items":{"type":"string"}}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"Integration":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["INBOUND","NATIVE","OUTBOUND"]},"iconUrl":{"type":"string"},"documentationUrl":{"type":"string"},"integrationPath":{"type":"string"}}}}},"paths":{"/deployment-pipelines":{"post":{"tags":["Deployment Pipelines"],"summary":"Create a new deployment pipeline.","requestBody":{"description":"The deployment pipeline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentPipeline"}}},"required":true},"responses":{"200":{"description":"The newly created depoyment pipeline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentPipeline"}}}}}}}}}
```

## GET /deployment-pipelines/{id}

> Get a specific deployment pipeline

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Deployment Pipelines"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"DeploymentPipeline":{"type":"object","required":["name","integrationType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"integrationType":{"type":"string"},"integrationKey":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"createdAt":{"type":"string","format":"date-time","readOnly":true},"updatedAt":{"type":"string","format":"date-time","readOnly":true},"params":{"$ref":"#/components/schemas/DeploymentPipelineParams"},"integrationUrl":{"type":"string"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"catalogue":{"$ref":"#/components/schemas/Integration","description":"This is an include field, it is not available in the list resource"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"DeploymentPipelineParams":{"type":"object","description":"Dynamic params based on the chosen integration type of the pipeline","default":"null","oneOf":[{"$ref":"#/components/schemas/DPipeAPIParams"},{"$ref":"#/components/schemas/DPipeGithubParams"}]},"DPipeAPIParams":{"type":"object","description":"Deployment pipeline API integration params","default":null,"properties":{}},"DPipeGithubParams":{"type":"object","description":"Deployment pipeline Github integration params","properties":{"branchFilters":{"type":"array","items":{"type":"string"}},"eventFilters":{"type":"array","items":{"type":"string"}}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"Integration":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["INBOUND","NATIVE","OUTBOUND"]},"iconUrl":{"type":"string"},"documentationUrl":{"type":"string"},"integrationPath":{"type":"string"}}}}},"paths":{"/deployment-pipelines/{id}":{"get":{"tags":["Deployment Pipelines"],"summary":"Get a specific deployment pipeline","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (catalogue, integrationUrl, params)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["catalogue","integrationUrl","params"]}}}],"responses":{"200":{"description":"The requested deployment pipeline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentPipeline"}}}}}}}}}
```

## PUT /deployment-pipelines/{id}

> Update the specific deployment pipeline

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Deployment Pipelines"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"DeploymentPipeline":{"type":"object","required":["name","integrationType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"integrationType":{"type":"string"},"integrationKey":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"createdAt":{"type":"string","format":"date-time","readOnly":true},"updatedAt":{"type":"string","format":"date-time","readOnly":true},"params":{"$ref":"#/components/schemas/DeploymentPipelineParams"},"integrationUrl":{"type":"string"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"catalogue":{"$ref":"#/components/schemas/Integration","description":"This is an include field, it is not available in the list resource"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"DeploymentPipelineParams":{"type":"object","description":"Dynamic params based on the chosen integration type of the pipeline","default":"null","oneOf":[{"$ref":"#/components/schemas/DPipeAPIParams"},{"$ref":"#/components/schemas/DPipeGithubParams"}]},"DPipeAPIParams":{"type":"object","description":"Deployment pipeline API integration params","default":null,"properties":{}},"DPipeGithubParams":{"type":"object","description":"Deployment pipeline Github integration params","properties":{"branchFilters":{"type":"array","items":{"type":"string"}},"eventFilters":{"type":"array","items":{"type":"string"}}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"Integration":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["INBOUND","NATIVE","OUTBOUND"]},"iconUrl":{"type":"string"},"documentationUrl":{"type":"string"},"integrationPath":{"type":"string"}}}}},"paths":{"/deployment-pipelines/{id}":{"put":{"tags":["Deployment Pipelines"],"summary":"Update the specific deployment pipeline","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"The deployment pipeline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentPipeline"}}},"required":true},"responses":{"200":{"description":"The updated deployment pipeline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentPipeline"}}}}}}}}}
```

## DELETE /deployment-pipelines/{id}

> Delete a specific deployment pipeline

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Deployment Pipelines"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/deployment-pipelines/{id}":{"delete":{"tags":["Deployment Pipelines"],"summary":"Delete a specific deployment pipeline","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"Empty body delete response","content":{}}}}}}}
```

## GET /deployment-pipelines/name/{name}

> Get the deployment pipeline with the specified name.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Deployment Pipelines"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"DeploymentPipeline":{"type":"object","required":["name","integrationType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"integrationType":{"type":"string"},"integrationKey":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"createdAt":{"type":"string","format":"date-time","readOnly":true},"updatedAt":{"type":"string","format":"date-time","readOnly":true},"params":{"$ref":"#/components/schemas/DeploymentPipelineParams"},"integrationUrl":{"type":"string"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"catalogue":{"$ref":"#/components/schemas/Integration","description":"This is an include field, it is not available in the list resource"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"DeploymentPipelineParams":{"type":"object","description":"Dynamic params based on the chosen integration type of the pipeline","default":"null","oneOf":[{"$ref":"#/components/schemas/DPipeAPIParams"},{"$ref":"#/components/schemas/DPipeGithubParams"}]},"DPipeAPIParams":{"type":"object","description":"Deployment pipeline API integration params","default":null,"properties":{}},"DPipeGithubParams":{"type":"object","description":"Deployment pipeline Github integration params","properties":{"branchFilters":{"type":"array","items":{"type":"string"}},"eventFilters":{"type":"array","items":{"type":"string"}}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"Integration":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["INBOUND","NATIVE","OUTBOUND"]},"iconUrl":{"type":"string"},"documentationUrl":{"type":"string"},"integrationPath":{"type":"string"}}}}},"paths":{"/deployment-pipelines/name/{name}":{"get":{"tags":["Deployment Pipelines"],"summary":"Get the deployment pipeline with the specified name.","parameters":[{"name":"name","in":"path","description":"unique name of the deployment pipeline","required":true,"schema":{"type":"string"}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (catalogue, integrationUrl, params)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["catalogue","integrationUrl","params"]}}}],"responses":{"200":{"description":"The requested deployment pipeline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentPipeline"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/deployment-pipelines.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
